﻿@model AdviceMovie.Movie

@{
    ViewBag.Title = "Home Page";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<main>
    <div class="jumbotron text-center">
        <h1>Advice Movie</h1>
        <p>we are looking movies for you</p>
        <form class="form-inline" action="FindButton" method="post">
            <div class="input-group">
                <input type="text" name="tags" class="form-control" size="50" aria-label="Default" aria-describedby="inputGroup-sizing-default" placeholder="Input a few words about the movie">
                <div class="input-group-btn">
                    <input type="submit" class="btn btn-danger" value="Find">
                </div>
            </div>
        </form>

    </div>
    @if (ViewBag.movies != null)
    {
        <div class="container">
            <h2>Found Movies</h2>
            <table class="table">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Score IMDB</th>
                        <th>Link</th>
                    </tr>
                </thead>
                <tbody>
                    @{
                        int count = 1;
                    }
                    @foreach (Movie item in ViewBag.movies)
                    {
                        if (count <= 10)
                        {
                            <tr class="success">
                                <td>@Html.DisplayFor(model => item.MovieTitel)</td>
                                <td>@Html.DisplayFor(model => item.ScoreImdb)</td>
                                <td><a href="@item.MovieImdbLink">@item.MovieImdbLink</a></td>
                            </tr>
                            count++;
                        }
                        else
                        {
                            return;
                        }
                    }
                </tbody>
            </table>
        </div>
    }

</main>